## org.jboss.netty.handler.codec.rtsp
Class RtspVersions

    java.lang.Object
      org.jboss.netty.handler.codec.rtsp.RtspVersions

    public final class RtspVersions

extends Object

The version of RTSP.

Version:
  $Rev: 2243 $, $Date: 2010-04-16 14:01:55 +0900 (Fri, 16 Apr 2010) $
Author:
  The Netty Project, Amit Bhayani, Trustin Lee

Field Summary
`static HttpVersion` `RTSP_1_0` RTSP/1.0

Method Summary
`static HttpVersion` `valueOf(String text)` Returns an existing or new `HttpVersion` instance which matches to the specified RTSP version string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RTSP_1_0

    public static final HttpVersion RTSP_1_0

  RTSP/1.0

Method Detail

### valueOf

    public static HttpVersion valueOf(String text)

  Returns an existing or new `HttpVersion` instance which matches to the specified RTSP version string. If the specified `text` is equal to `"RTSP/1.0"`, `RTSP_1_0` will be returned. Otherwise, a new `HttpVersion` instance will be returned.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.